## Binypt: A Python Library for Cryptocurrency Data Retrieval and Processing

![MIT License](https://img.shields.io/badge/license-MIT-blue.svg)
![version](https://img.shields.io/badge/version-1.1.1-white?labelColor=purple&style=flat)

## Overview

**Binypt** is a Python library designed for retrieving historical cryptocurrency price data from the Binance exchange. It allows you to specify trading pairs, time intervals, and date ranges to download and work with historical price data efficiently. This library is a helpful tool for anyone interested in analyzing or visualizing cryptocurrency price trends.

## Installation

You can install Binypt using `pip`:

```bash
pip install binypt-lib
```

## Usage

Here's a brief overview of how to use Binypt:

```python
from binypt import Binypt

# Initialize Binypt with your desired parameters
trading_pair = "BTCUSDT"
interval = "1h"
starting_date = "01/01/2023-00:00:00"
ending_date = "01/31/2023-23:59:59"
output_path = "btc_price_data.csv"
verbosity = ["bar"]

binypt = Binypt(trading_pair, interval, starting_date, ending_date, output_path, verbosity)

# Download and process the data
binypt.export("my_file.csv")

# Access the data as a Pandas DataFrame
price_data = binypt.data

# You can now perform various data analysis or visualization tasks with the price_data DataFrame
```

## Features

- Retrieve historical cryptocurrency price data from Binance.
- Specify trading pairs, time intervals, and date ranges.
- Export data in various formats such as CSV, Excel, or Pickle.
- Access data as a Pandas DataFrame for easy analysis.

## Contributions

Contributions to this project are welcome. Feel free to submit bug reports, feature requests, or pull requests on the [GitHub repository](https://github.com/iliatayefi/Binypt).

---

*Generated by ChatGPT*
